Bug 1877305 - Wrong container name in config.openshift.io/inject-proxy
Summary: Wrong container name in config.openshift.io/inject-proxy
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: apiserver-auth
Version: 4.6
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
: 4.6.0
Assignee: Michal Fojtik
QA Contact: pmali
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-09 10:52 UTC by Michal Fojtik
Modified: 2020-09-16 12:45 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-authentication-operator pull 339 None closed Bug 1877305: Fix proxy injection in operator 2020-09-15 01:36:23 UTC

Description Michal Fojtik 2020-09-09 10:52:11 UTC
Description of problem:

The container name for operator recently changed to 'authentication-operator' but the annotation was not changed which cause all proxy CI jobs to fail as the authentication operator can't start (proxy injector can't find the container).

Example job: https://prow.ci.openshift.org/view/gcs/origin-ci-test/logs/periodic-ci-openshift-release-master-ocp-4.6-e2e-aws-proxy/1303614423209873408

(check the CVO pod logs)

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:


Note You need to log in before you can comment on or make changes to this bug.